RubyGems Navigation menu

govuk_message_queue_consumer 3.5.0

Avoid writing boilerplate code in order to consume messages from an AMQP message queue. Plug in queue configuration, and how to process each message.

Versions:

  1. 3.5.0 - July 17, 2019 (11.5 KB)
  2. 3.4.0 - May 02, 2019 (11 KB)
  3. 3.3.0 - March 29, 2019 (11 KB)
  4. 3.2.1 - August 21, 2018 (11 KB)
  5. 3.2.0 - January 15, 2018 (11 KB)
Show all versions (13 total)

Runtime Dependencies (1):

  • bunny ~> 2.11
  • Development Dependencies (5):

  • bunny-mock >= 0
  • pry-byebug >= 0
  • rake ~> 12.3.2
  • rspec ~> 3.8.0
  • yard >= 0
  • Owners:

    Pushed by:

    Authors:

    • GOV.UK Dev

    SHA 256 checksum:

    808fb445d6b05aaf343cf04b176c6df6b9beed0365a7a700646191428a2ec6c1

    Total downloads 29,040

    For this version 5,808

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: >= 0

    Links: